
* EXAMPLE 3 - create a CHARACTER format
              with a CNTLIN data set (HLO variable added);

data drg_fmt / view=drg_fmt;
length label $50;
retain fmtname '$drghlo';

if last then do;
   hlo = 'o';
   label = 'UNKNOWN';
   output;
end;

infile "i:\workshops\hw08\data\drgs.dat" truncover end=last;
input start $3. +1 label $50.;
output;

run;

proc format cntlin=drg_fmt;
* select $drghlo;
run;

data test;
input id : $5. drg : $3. @@;
datalines;
12345 001 34567 005 67890 310 99999 002 87654 004
44444 062 55555 059 12121 888
;
run;

title 'EXAMPLE 3 - FORMAT CREATED WITH A CNTLIN DATA SET (HLO VARIABLE ADDED)';
proc report data=test nowd;
columns id drg drg=drglabel;
define drglabel / format=$drghlo.;
run;
