
* EXAMPLE 7 - USE THE PUTC FUNCTION TO ADD A NEW VARIABLE TO A DATA SET
              DIFFERENT RULES FOR EACH GRADE LEVEL
              WHAT IS THE LENGTH OF THE NEW VARIABLE;

proc format;
value $FR 'A'-'D' = 'PASS' other = 'FAIL';
value $SO 'A'-'C' = 'PASS' other = 'FAIL';
value $JR 'A'-'B' = 'PASS' other = 'FAIL';
value $SR 'A'     = 'PASS' other = 'FAIL';
run;

data students;
*length pass_fail $4.;
input class : $2. grade : $1. @@;

pass_fail = putc(grade,cat('$',class));

*pass_fail = put(grade,$sr.);

datalines;
FR D SO A SO D JR B JR C SR A SR B
;
run;

* WHAT IS THE DEFAULT LENGTH OF THE NEW VARIABLE;

proc contents data=students;
run;

title 'EXAMPLE 7 - PASS_FAIL ADDED USING THE PUTC FUNCTION';
proc print data=students;
var class grade pass_fail;
run;
