
* EXAMPLE 13 - NESTING FORMATS (SAS-SUPPLIED);

title 'NESTED SAS-SUPPLIED FORMAT';
proc format;
value chk_date '01FEB1999'd - '31JUL1999'd = 'OK'  
other = [date9.]
;
select chk_date;
run;

data mydates;
format dt chk_date.;
input id : $3. dt : mmddyy. @@;
datalines;
123 01301999 234 02101999 456 07311999 789 12252000
;
run;

title 'EXAMPLE 13 - DATES OUTSIDE ACCEPTABLE RANGE ARE PRINTED';
proc report data=mydates nowd;
column id dt;
define id / 'ID #' width=4;
define dt / 'DATE' format=chk_date.;
run;
