
* EXAMPLE 14 - PRELOADED FORMATS IN PROC MEANS;

proc format;
value age
low - 15 = '<16'
16 - high = '16+'
;
run;

title 'EXAMPLE 14 - PROC MEANS WITHOUT A PRELOADED FORMAT';
proc means data=sashelp.class mean maxdec=1;
var weight;
class sex age;
format age age.;
run;

title 'EXAMPLE 14 - PROC MEANS WITH A PRELOADED FORMAT';
proc means data=sashelp.class mean maxdec=1 ;
*proc means data=sashelp.class mean maxdec=1 completetypes;
var weight;
class sex age / preloadfmt;
format age age.;
run;
