
* EXAMPLE 16 - MULTILABEL FORMAT;

* CREATE A FORMAT WITH OVERLAPPING RANGES - USED THE MULTILABEL OPTION;	

proc format;
value age (multilabel notsorted)
11 - 13 = '11-13' 
11      = '   11' 
12      = '   12' 
13      = '   13'
14 - 16 = '14-16'
14      = '   14'
15      = '   15'
16      = '   16'
low - high = 'TOTAL'
;
run;

title 'EXAMPLE 16 - PROC MEANS USING THE MULTILABEL FORMAT WITH OPTIONS';
proc means data=sashelp.class mean maxdec=1;
var weight;
class age /mlf preloadfmt order=data;
format age age.;
run;

* CHANGE THE FORMAT ORDER;

proc format;
value age (multilabel notsorted)
11      = '   11' 
12      = '   12' 
13      = '   13'
11 - 13 = '11-13'
14      = '   14'
15      = '   15'
16      = '   16'
14 - 16 = '14-16'
low - high = 'TOTAL'
;
run;

title 'EXAMPLE 16 - PROC MEANS USING THE MULTILABEL FORMAT WITH OPTIONS';
proc means data=sashelp.class mean maxdec=1;
var weight;
class age /mlf preloadfmt order=data;
format age age.;
run;
